ros-kilted-camera-info-manager (6.1.1-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 28 Apr 2025 05:00:00 -0000

ros-kilted-camera-info-manager (6.1.0-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 20 Dec 2024 06:00:00 -0000

ros-kilted-camera-info-manager (6.0.3-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 25 Nov 2024 06:00:00 -0000

ros-kilted-camera-info-manager (6.0.2-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 25 Nov 2024 06:00:00 -0000

ros-kilted-camera-info-manager (6.0.1-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 10 Oct 2024 05:00:00 -0000

ros-kilted-camera-info-manager (6.0.0-1noble) noble; urgency=high

  * Add optional namespace to /set_camera_info service in CameraInfoManager (#324 <https://github.com/ros-perception/image_common/issues/324>)
  * Contributors: Jan Hernas

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 03 Oct 2024 05:00:00 -0000

ros-kilted-camera-info-manager (5.3.2-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 29 Jul 2024 05:00:00 -0000

ros-kilted-camera-info-manager (5.3.1-1noble) noble; urgency=high

  * Added common test to camera info manager (#318 <https://github.com/ros-perception/image_common/issues/318>)
  * Contributors: Alejandro Hernández Cordero

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 19 Jul 2024 05:00:00 -0000

ros-kilted-camera-info-manager (5.3.0-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 17 Jun 2024 05:00:00 -0000

ros-kilted-camera-info-manager (5.2.1-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 24 May 2024 05:00:00 -0000

ros-kilted-camera-info-manager (5.2.0-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 26 Apr 2024 05:00:00 -0000

ros-kilted-camera-info-manager (5.1.2-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 16 Apr 2024 05:00:00 -0000

ros-kilted-camera-info-manager (5.1.1-1noble) noble; urgency=high

  * Switch from rcpputils::fs to std::filesystem (#300 <https://github.com/ros-perception/image_common/issues/300>)
  * Contributors: Christophe Bedard

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 26 Mar 2024 05:00:00 -0000

ros-kilted-camera-info-manager (5.1.0-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 24 Jan 2024 06:00:00 -0000

ros-kilted-camera-info-manager (5.0.0-1noble) noble; urgency=high

  * Removed C headers: camera_info_manager camera_calibration_parsers (#290 <https://github.com/ros-perception/image_common/issues/290>)
  * Contributors: Alejandro Hernández Cordero

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 06 Nov 2023 06:00:00 -0000

ros-kilted-camera-info-manager (4.5.1-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 07 Sep 2023 05:00:00 -0000

ros-kilted-camera-info-manager (4.5.0-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 21 Aug 2023 05:00:00 -0000

ros-kilted-camera-info-manager (4.3.0-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 28 Apr 2023 05:00:00 -0000

ros-kilted-camera-info-manager (4.2.0-1noble) noble; urgency=high

  * Update image_common to C++17. (#267 <https://github.com/ros-perception/image_common/issues/267>)
  * Contributors: Chris Lalancette

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 14 Feb 2023 06:00:00 -0000

ros-kilted-camera-info-manager (4.1.1-1noble) noble; urgency=high

  * Add alias library targets for all libraries (#259 <https://github.com/ros-perception/image_common/issues/259>)
  * Contributors: RFRIEDM-Trimble

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 16 Nov 2022 06:00:00 -0000

ros-kilted-camera-info-manager (4.1.0-1noble) noble; urgency=high

  * Add lifecycle node compatibility to camera_info_manager (#190 <https://github.com/ros-perception/image_common/issues/190>)
  * Contributors: Ramon Wijnands

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 02 Nov 2022 05:00:00 -0000

ros-kilted-camera-info-manager (4.0.0-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 11 Aug 2022 05:00:00 -0000

ros-kilted-camera-info-manager (3.2.1-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 12 Jul 2022 05:00:00 -0000

ros-kilted-camera-info-manager (3.2.0-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 10 May 2022 05:00:00 -0000

ros-kilted-camera-info-manager (3.1.4-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 25 Mar 2022 05:00:00 -0000

ros-kilted-camera-info-manager (3.1.3-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 01 Mar 2022 06:00:00 -0000

ros-kilted-camera-info-manager (3.1.2-1noble) noble; urgency=high

  * Export a modern CMake target instead of variables and install includes to include/${PROJECT_NAME} (#218 <https://github.com/ros-perception/image_common/issues/218>)
  * Contributors: Shane Loretz

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 14 Jan 2022 06:00:00 -0000

ros-kilted-camera-info-manager (3.1.0-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 29 Jun 2021 05:00:00 -0000

ros-kilted-camera-info-manager (3.0.0-1noble) noble; urgency=high

  * Update maintainers (#173 <https://github.com/ros-perception/image_common/issues/173>)
  * Contributors: Alejandro Hernández Cordero

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 26 May 2021 05:00:00 -0000

ros-kilted-camera-info-manager (2.3.0-1noble) noble; urgency=high

  * Fix formatting and include paths for linters (#157 <https://github.com/ros-perception/image_common/issues/157>)
  * Enable Windows build. (#159 <https://github.com/ros-perception/image_common/issues/159>)
  * Contributors: Martin Idel, Sean Yen

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 27 May 2020 05:00:00 -0000

ros-kilted-camera-info-manager (2.2.1-1noble) noble; urgency=high

  * Fix abort criteria for setCameraInfoService callback (#132 <https://github.com/ros-perception/image_common/issues/132>)
  * Contributors: Joseph Schornak

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 23 Oct 2019 05:00:00 -0000

ros-kilted-camera-info-manager (2.2.0-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 27 Sep 2019 05:00:00 -0000

ros-kilted-camera-info-manager (2.1.1-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 30 May 2019 05:00:00 -0000

ros-kilted-camera-info-manager (2.1.0-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 09 May 2019 05:00:00 -0000

ros-kilted-camera-info-manager (2.0.0-1noble) noble; urgency=high

  * camera_info_manager ROS2 port (#94 <https://github.com/ros-perception/image_common/issues/94>)
  * Image Transport ROS2 port (#84 <https://github.com/ros-perception/image_common/issues/84>)
  * Contributors: Michael Carroll

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 05 Dec 2018 06:00:00 -0000

ros-kilted-camera-info-manager (1.11.13-1noble) noble; urgency=high

  * Fix the find_package(catkin) redundancy
  * Add a dependency between the test and the test executable
  * Add camera_calibration_parsers dependency to camera_info_manager
  * Contributors: Max Schettler, Vincent Rabaud

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Sun, 05 Nov 2017 05:00:00 -0000

ros-kilted-camera-info-manager (1.11.12-1noble) noble; urgency=high

  * 1.11.11
  * update changelogs
  * Return empty CameraInfo when !ros::ok()
  * Contributors: Enrique Fernandez, Vincent Rabaud

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Sun, 29 Jan 2017 06:00:00 -0000

ros-kilted-camera-info-manager (1.11.11-1noble) noble; urgency=high

  * Return empty CameraInfo when !ros::ok()
  * Contributors: Enrique Fernandez

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Sat, 24 Sep 2016 05:00:00 -0000

ros-kilted-camera-info-manager (1.11.10-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 19 Jan 2016 06:00:00 -0000

ros-kilted-camera-info-manager (1.11.9-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Sun, 17 Jan 2016 06:00:00 -0000

ros-kilted-camera-info-manager (1.11.8-1noble) noble; urgency=high

  * fix compilation on Fedora, fixes #42 <https://github.com/ros-perception/image_common/issues/42>
  * Contributors: Vincent Rabaud

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Sun, 29 Nov 2015 06:00:00 -0000

ros-kilted-camera-info-manager (1.11.7-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 28 Jul 2015 05:00:00 -0000

ros-kilted-camera-info-manager (1.11.6-1noble) noble; urgency=high

  * simplify target_link_libraries
    That should fix #35 <https://github.com/ros-perception/image_common/issues/35>
  * Contributors: Vincent Rabaud

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 16 Jul 2015 05:00:00 -0000

ros-kilted-camera-info-manager (1.11.5-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 14 May 2015 05:00:00 -0000

ros-kilted-camera-info-manager (1.11.4-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Sun, 21 Sep 2014 05:00:00 -0000

ros-kilted-camera-info-manager (1.11.3-1noble) noble; urgency=high

  * Add public member function to manually set camera info (#19 <https://github.com/ros-perception/image_common/issues/19>)
  * make rostest in CMakeLists optional (ros/rosdistro#3010 <https://github.com/ros/rosdistro/issues/3010>)
  * Contributors: Jack O'Quin, Jonathan Bohren, Lukas Bulwahn

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 19 May 2014 05:00:00 -0000

ros-kilted-camera-info-manager (1.11.2-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 13 Feb 2014 06:00:00 -0000

ros-kilted-camera-info-manager (1.11.1-1noble) noble; urgency=high

  * check for CATKIN_ENABLE_TESTING
  * Contributors: Lukas Bulwahn

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Sun, 26 Jan 2014 08:33:00 -0000

ros-kilted-camera-info-manager (1.11.0-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Sat, 20 Jul 2013 17:23:00 -0000

ros-kilted-camera-info-manager (1.10.5-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Sun, 26 Jan 2014 08:34:00 -0000

ros-kilted-camera-info-manager (1.10.4-1noble) noble; urgency=high

  * add Jack as maintainer
  * Contributors: Vincent Rabaud

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Sat, 20 Jul 2013 16:42:00 -0000

ros-kilted-camera-info-manager (1.10.3-1noble) noble; urgency=high

  * add gtest libraries linkage
  * Contributors: Vincent Rabaud

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 21 Feb 2013 11:33:00 -0000

ros-kilted-camera-info-manager (1.10.2-1noble) noble; urgency=high

  * fix the rostest dependency
  * Contributors: Vincent Rabaud

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 21 Feb 2013 10:48:00 -0000

ros-kilted-camera-info-manager (1.10.1-1noble) noble; urgency=high

  * fix catkin gtest and rostest problem
  * fix unit test dependencies
  * Removed duplicated test dependancy
    Test dependencies should never duplicate build or run dependencies.
  * Contributors: Aaron Blasdel, Jack O'Quin

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 21 Feb 2013 10:16:00 -0000

ros-kilted-camera-info-manager (1.10.0-1noble) noble; urgency=high

  * fix the urls
  * Contributors: Vincent Rabaud

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Sun, 13 Jan 2013 06:00:00 -0000

ros-kilted-camera-info-manager (1.9.22-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Sun, 16 Dec 2012 06:00:00 -0000

ros-kilted-camera-info-manager (1.9.21-1noble) noble; urgency=high

  * Updated package.xml file(s) to handle new catkin buildtool_depend
    requirement
  * Contributors: mirzashah

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 14 Dec 2012 06:00:00 -0000

ros-kilted-camera-info-manager (1.9.20-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 04 Dec 2012 06:00:00 -0000

ros-kilted-camera-info-manager (1.9.19-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 08 Nov 2012 06:00:00 -0000

ros-kilted-camera-info-manager (1.9.18-1noble) noble; urgency=high

  * remove the brief attribute
  * Contributors: Vincent Rabaud

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 06 Nov 2012 06:00:00 -0000

ros-kilted-camera-info-manager (1.9.17-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 31 Oct 2012 00:32:00 -0000

ros-kilted-camera-info-manager (1.9.16-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 30 Oct 2012 14:10:00 -0000

ros-kilted-camera-info-manager (1.9.15-1noble) noble; urgency=high

  * fix bad folder/libraries
  * Contributors: Vincent Rabaud

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Sat, 13 Oct 2012 13:43:00 -0000

ros-kilted-camera-info-manager (1.9.14-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Sat, 13 Oct 2012 06:07:00 -0000

ros-kilted-camera-info-manager (1.9.13-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Sat, 06 Oct 2012 05:00:00 -0000

ros-kilted-camera-info-manager (1.9.12-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 04 Oct 2012 05:00:00 -0000

ros-kilted-camera-info-manager (1.9.11-1noble) noble; urgency=high

  * add missing rostest dependency
  * Contributors: Vincent Rabaud

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 02 Oct 2012 07:56:00 -0000

ros-kilted-camera-info-manager (1.9.10-1noble) noble; urgency=high

  * fix bad dependency
  * Contributors: Vincent Rabaud

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 02 Oct 2012 07:42:00 -0000

ros-kilted-camera-info-manager (1.9.9-1noble) noble; urgency=high

  * fix dependencies
  * Contributors: Vincent Rabaud

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 01 Oct 2012 05:00:00 -0000

ros-kilted-camera-info-manager (1.9.8-1noble) noble; urgency=high

  * add catkin as a dependency
  * comply to the catkin API
  * Contributors: Vincent Rabaud

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Sun, 30 Sep 2012 05:00:00 -0000

ros-kilted-camera-info-manager (1.9.7-1noble) noble; urgency=high

  * add missing linkage
  * Contributors: Vincent Rabaud

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 18 Sep 2012 16:39:00 -0000

ros-kilted-camera-info-manager (1.9.6-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 18 Sep 2012 16:07:00 -0000

ros-kilted-camera-info-manager (1.9.5-1noble) noble; urgency=high

  * install the include directories
  * Contributors: Vincent Rabaud

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 13 Sep 2012 05:00:00 -0000

ros-kilted-camera-info-manager (1.9.4-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 13 Sep 2012 04:37:00 -0000

ros-kilted-camera-info-manager (1.9.3-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 13 Sep 2012 01:44:00 -0000

ros-kilted-camera-info-manager (1.9.2-1noble) noble; urgency=high

  * fix build issues
  * Contributors: Vincent Rabaud

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 10 Sep 2012 05:00:00 -0000

ros-kilted-camera-info-manager (1.9.1-1noble) noble; urgency=high

  * make the libraries public
  * Contributors: Vincent Rabaud

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 07 Sep 2012 20:33:00 -0000

ros-kilted-camera-info-manager (1.9.0-1noble) noble; urgency=high

  * API documentation review update
  * suppress misleading camera_info_manager error messages [#5273 <https://github.com/ros-perception/image_common/issues/5273>]
  * remove deprecated global CameraInfoManager symbol for Fuerte (#4971 <https://github.com/ros-perception/image_common/issues/4971>)
  * Revert to using boost::mutex, not boost::recursive_mutex.
  * Hack saveCalibrationFile() to stat() the containing directory and
    attempt to create it if necessary.  Test for this case.
  * Reload camera info when camera name changes.
  * Implement most new Electric API changes, with test cases.
  * Add ${ROS_HOME} expansion, with unit test cases.
    Do not use "$$" for a single '$', look for "${" instead.
  * Use case-insensitive comparisons for parsing URL tags (#4761 <https://github.com/ros-perception/image_common/issues/4761>).
    Add unit test cases to cover this.  Add unit test case for camera
    name containing video mode.
  * add test for resolving an empty URL
  * Deprecate use of global CameraInfoManager symbol in E-turtle (#4786 <https://github.com/ros-perception/image_common/issues/4786>).
    Modify unit tests accordingly.
  * provide camera_info_manager namespace, fixes #4760 <https://github.com/ros-perception/image_common/issues/4760>
  * Add support for "package://" URLs.
  * Fixed tests to work with new CameraInfo.
  * Moved image_common from camera_drivers.
  * Contributors: Vincent Rabaud, blaise, Jack O'Quin, mihelich

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 07 Sep 2012 18:03:00 -0000


